#
# spec file for package tali
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tali
Version:        3.20.0
Release:        3.2
Summary:        Yahtzee Game for GNOME
License:        GPL-2.0+
Group:          Amusements/Games/Board/Other
Url:            https://live.gnome.org/Tali
Source:         http://download.gnome.org/sources/tali/3.20/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12.0
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
Recommends:     %{name}-lang
# tali used to be called 'gtali' and was part of gnome-games until 3.7.x
Obsoletes:      gtali < %{version}
# gtali-lang should be obsoleted by the -lang package, but that's not that easy.
Obsoletes:      gtali-lang < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Tali is like Yahtzee, or like poker with dice. The player rolls dice
to try to make the best possible combinations, like 4 of a kind, small
straight, and full house. The player is allowed 3 rolls per turn and
can hold certain dice with each roll.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file tali

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc COPYING NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/tali.appdata.xml
%{_datadir}/applications/tali.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + No changes, version bump only.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Highres Icons added.
  + Updated translations.
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + Stop using deprecated gnome-common.
  + Fix RollDie() that could return 7.
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Tue Sep 15 2015 zaitor@opensuse.org
- Update to version 3.17.92:
  + Reverted to old Docbook help.
* Wed Sep  2 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Updated translations.
* Wed May 13 2015 zaitor@opensuse.org
- Update to version 3.16.1:
  + Add symbolic icon.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Help updates.
  + Updated translations.
* Tue Dec  2 2014 badshah400@gmail.com
- Update to version 3.15.2:
  + Remove GNOME Games branding.
  + Various Fixes.
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Wed Sep 17 2014 dimstar@opensuse.org
- Drop special permission handling, incl pwdutils Requires: this
  was required back when there was a system wide, shared highscore
  list.
* Mon Sep 15 2014 zaitor@opensuse.org
- Update to version 3.13.92
  + Updated translations.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Updated translations.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Updated translations.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Appdata fixes.
  + Added header bar for preferences.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.13.1:
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Updated translations.
* Sun Mar 23 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Tue Mar 18 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Updated translations.
* Mon Mar  3 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Updated translations.
* Mon Feb 17 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Rename desktop file so tali appears in GNOME Software.
  + Change scores to be saved in ~/.local/share/tali.
  + Move undo move from the app menu to the header bar.
- Change %%suse_update_desktop_file gtali to
  %%suse_update_desktop_file tali following upstream changes.
* Mon Feb  3 2014 dimstar@opensuse.org
- Update to version 3.11.5:
  + Use a GtkHeaderBar, pushed GTK requirement to 3.10, fixed
    layout issues.
  + Move scores from /var/games to home directory.
  + Updated translations.
- Remove calls to handle score files in /var/games.
- Drop gnome-games-scripts BuildRequires: no longer reuiqred, as
  we no longer have score files in /var/games.
* Mon Jan 13 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + Update website in about dialog.
  + Updated translations.
* Mon Dec 16 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + About dialog: use GtkLicense, remove period from sentence
    fragment.
  + Updated translations.
* Mon Nov 18 2013 dimstar@opensuse.org
- Update to version 3.11.2:
  + Check for *-validate before using it, run autoupdate.
  + Fix scores.
  + Updated translations.
* Sun Nov 17 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + Appdata is now translatable.
  + Updated translations.
* Mon Nov 11 2013 dimstar@opensuse.org
- Update to version 3.10.2 (bnc#849913):
  + Fix scores.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + No changes compared to 3.9.92.
* Mon Sep 23 2013 idonmez@suse.com
- Create games user/group on demand (fate#314560)
  + Depend on pwdutils for that to work.
* Mon Sep 16 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Add high contrast icons
  + Fix the missing user help
  + Add an appdata file
  + Fix sensitivity of undo move option
  + Updated translations.
- Add %%icon_theme_cache_post(un) scriptlets for the new
  HighContrast icons.
* Wed Aug 21 2013 zaitor@opensuse.org
- Update to version 3.9.90:
  + Set prgname so WM_CLASS matches the desktop file.
  + Updated translations.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Tue Mar 19 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Renamed desktop file back to gtali.desktop.
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
